gnome-sharp 2.20.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. An icon listing/chooser display. To be added Gtk.VBox
- Method
  System.Void `` Clear the currently shown icons, the ones that weren't shown yet are not cleared unless the not_shown parameter is given, in which case even those are cleared. Set to 'true' to clear even the icons that were not shown yet. To be added
- Method
  System.Void `` Selects the icon filename. This icon must have already been added and shown. icon filename see also ShowIcons
- Method
  System.Void Adds the default pixmap directory into the selection widget. It doesn't show the icons in the selection until you do ShowIcons.
- Method
  System.Void Shows the icons inside the widget that were added with AddDefaults and AddDirectory. Before this function is called the icons aren't actually added to the listing and can't be picked by the user.
- Method
  System.Void `` Adds the icons from the directory dir to the selection widget. Directory with pixmaps It doesn't show the icons in the selection until you do ShowIcons.
- Method
  System.String `` Gets the currently selected icon name. To be added: an object of type 'bool' The name of the icon that is currently selected. If full_path is true, it returns the full path to the icon, if none is selected it returns NULL.
- Method
  System.Void Stop the loading of images when we are in the loop in ShowIcons, otherwise it does nothing and is harmless, it should be used say if the dialog was hidden or when we want to quickly stop loading the images to do something else without destroying the icon selection object. The remaining icons can be shown by ShowIcons. To be added
- Constructor
  Internal constructor
  Pointer to the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a new icon selection widget, it uses GnomeIconList for the listing of icons.
  To be added
- Property
  Gtk.Widget The Gtk.VBox widget that is used to pack the different elements of the selection into. To be added: an object of type 'Gtk.Widget' To be added
- Property
  Gtk.Widget The IconList widget that is used for the display of icons To be added: an object of type 'Gtk.Widget' To be added
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
  System.Obsolete